.button {
  @include transition;

  display: block;

  background: $black-abs;

  color: $white;
  text-align: center;
  text-transform: uppercase;
  font-size: 1.2rem;
  letter-spacing: 1px;

  padding: 1rem 2rem;

  border: 1px solid transparent;

  @include state {
    background: $color-outstand;

    color: $white;
  }

  &--large {
    padding: 2rem 2rem;
  }

  &--invert {
    background: $white;
    border-color: $black-abs;

    color: $black-abs;

    @include state {
      background: $black-abs;
      color: $white;
    }
  }
}

.popout {
  display: none;

  &.--open {
    display: block;
  }

  position: fixed;
  top: 50vh;
  left: 50%;
  transform: translate(-50%, -50%);

  background: $white;
  padding: 2.3rem;

  width: calc(100% - 2rem);

  border: 1px solid $grey-border;

  z-index: 183;

  max-width: 600px;

  @include sm() {
    max-height: 80vh;
    overflow: scroll;
  }

  &--small {
    max-width: 525px;
  }

  &--extrasmall {
    max-width: 400px;
  }

  &-quickview {
    width: 55vw;
    max-width: none;
  }

  &__content {
    .--raw {
      font-family: "Gotham" !important;
      font-size: 9pt;

      span,
      p {
        font-family: "Gotham" !important;
        font-size: 9pt;
      }
    }
  }

  &__close {
    position: absolute;
    top: 0;
    right: 0;

    margin: 1rem;

    line-height: 20px;
    font-size: 3rem;

    cursor: pointer;
  }

  .loader {
    display: block;

    margin: 0 auto;
  }

  .sizeguide-container {
    max-height: 70vh;
    overflow-y: scroll;
  }

  .breadcrumb {
    display: flex;
    background: #e7e7e7;
  }
}
.filter-popout {
  padding: 30px;
  max-width: 450px;
  z-index: 99;

  .popout__content {
    .popout__section {
      padding: 1.2rem 0;
      border-bottom: 0.1px solid #ccc;

      .filter__pricing {
        margin: 1rem 0;
        @include flex(row, center, center);

        .filter__input-group {
          position: relative;
          width: 50%;
          margin: 0 0.5rem;

          &:first-child {
            margin-left: 0;
          }

          &:last-child {
            margin-right: 0;
          }

          .filter__input-help {
            position: absolute;
            top: 50%;
            transform: translateY(calc(-50%));
            left: 0.5rem;
            font-size: 1.4rem;
          }

          input {
            padding-left: 1.5rem;
            width: 100%;
            font-size: 1.3rem;
            border-top: 0;
          }
        }
      }

      .apply-filter {
        width: 100%;
        // background-color: #999;
        background-color: black;
        color: $white;
        text-align: center;
        padding: 1rem 0;
        display: inline-block;
        border: 0;
        cursor: pointer;
        text-transform: uppercase;
        font-size: 1.3rem;
      }
      .filter__name {
        padding: 2px 0;
        text-transform: uppercase;
   
        font-size: 1.5rem;
        margin-bottom: 10px;
      }

      .brand__list {
        margin: 1rem 0;
        max-height: 200px;
        overflow-y: auto;
        display: flex;
        flex-flow: row wrap;

        .brand__item {
          @include flex(row, space-between, center);
          margin: 0.5rem 0;
          padding-right: 0.5rem;

          .info {
            @include flex(row, center, center);

            .brand__name {
              color: $black;
              font-size: 1.3rem;
              margin-right: 10px;
            }

            .brand__check {
              width: 17px;
              height: 17px;
              display: inline-block;
              background-color: #e1e1e1;
              border-radius: 20px;
              cursor: pointer;
              margin-right: 5px;
            }
            .brand__check-active {
              background-color: $black;
            }
          }
          .brand__product-count {
            font-size: 1.3rem;
          }
        }
      }
      .brand__list::-webkit-scrollbar-track {
        -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
        background-color: #fcb131;
      }
      .brand__list::-webkit-scrollbar {
        width: 5px;
        background-color: #fcb131;
      }
      .brand__list::-webkit-scrollbar-thumb {
        background-color: #fcb131;
        border: 1px solid #fcb131;
      }

      .color__list {
        @include flex(row, flex-start, center);
        flex-wrap: wrap;
        margin: 1rem 0;
        .color__item {
          margin: 0 0.1rem;

          &:first-child {
            margin-left: 0;
          }
          .filter__ball-container {
            width: 26px;
            height: 26px;
            border-radius: 50%;
            @include flex(row, center, center);

            .filter__ball {
              display: inline-block;
              width: 16px;
              height: 16px;
              border-radius: 50%;
              cursor: pointer;
              //border: 1px solid #000;
              background-size: cover;
            }

            &:hover {
              border: 1px solid #000;
            }

            &-active {
              border: 1px solid #000;
            }
          }
        }
      }

      .filter_category {
        margin-top: 10px;
        display: flex;
        flex-direction: column;
        div {
          display: flex;
          align-items: center;
          margin-bottom: 10px;
          text-transform: capitalize;

          span {
            width: 15px;
            height: 15px;
            border-radius: 20px;
            display: inline-flex;
            background-color: #e1e1e1;
            margin-right: 5px;
          }
        }
      }
    }

    .title {
      text-transform: uppercase;
     
    }
  }
}

.loader {
  display: inline-block;
  position: relative;
  width: 64px;
  height: 64px;

  div {
    box-sizing: border-box;
    display: block;
    position: absolute;
    width: 51px;
    height: 51px;
    margin: 6px;
    border: 6px solid #fff;
    border-radius: 50%;
    animation: load 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    border-color: $black-abs transparent transparent transparent;

    &:nth-child(1) {
      animation-delay: -0.45s;
    }
    &:nth-child(2) {
      animation-delay: -0.3s;
    }
    &:nth-child(3) {
      animation-delay: -0.15s;
    }
  }

  @keyframes load {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }
}
